Page Summary
-
This method deletes a connected site tag for a Universal Analytics property.
-
The HTTP request method is POST to the specified analyticsadmin.googleapis.com endpoint.
-
The request body requires both a
property(the Universal Analytics property ID) and atagId(the tag ID to be deleted). -
A successful response body is an empty JSON object.
-
Deleting connected site tags for GA4 properties is not supported by this method.
Deletes a connected site tag for a Universal Analytics property. Note: this has no effect on GA4 properties.
HTTP request
POST https://analyticsadmin.googleapis.com/v1alpha/properties:deleteConnectedSiteTag
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "property": string, "tagId": string } |
| Fields | |
|---|---|
property |
The Universal Analytics property to delete connected site tags for. This API does not support GA4 properties. Format: properties/{universalAnalyticsPropertyId} Example: properties/1234 |
tagId |
Tag ID to forward events to. Also known as the Measurement ID, or the "G-ID" (For example: G-12345). |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/analytics.edit